# OwApi

Ruby wrapper for the [OW-API](https://ow-api.com/).

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'ow_api'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install ow_api

## Usage

```
require 'ow_api`

client = OwApi.new
profile = client.profile(platform: 'pc', region: 'us', battletag: 'Asal-1502')
```

For additional information on the expected arguments, see the [OW-API documenation](https://ow-api.com/docs/).

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[jgayfer]/ow_api.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
